%define name	libpciaccess
%define version	0.12.1
%define git	0
%if %git
%define release	%mkrel 0.%git.1
%else
%define release	%mkrel 1
%endif

%define major		0
%define libname		%mklibname pciaccess %major
%define develname	%mklibname pciaccess -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Generic PCI access library (from X.org)
Group:		Development/X11
URL:		http://xorg.freedesktop.org
%if %git
# git clone git://anongit.freedesktop.org/git/xorg/lib/libpciaccess
Source0:	libpciaccess-%{git}.tar.bz2
%else
Source0:	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
%endif
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	pciids

%description
A generic PCI access library from X.org.

%package -n %{libname}
Summary:	Generic PCI access library (from X.org)
Group:		Development/X11

%description -n %{libname}
A generic PCI access library from X.org.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
A generic PCI access library from X.org. Development headers and
libraries.

%prep
%if %git
%setup -q -n %{name}
%else
%setup -q -n %{name}-%{version}
%endif

%build
%if %git
./autogen.sh
%endif
%configure2_5x	--with-pciids-path=/usr/share
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc





%changelog
* Thu Apr 14 2011 tv <tv> 0.12.1-1.mga1
+ Revision: 84861
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 0.12.0-1.mga1
+ Revision: 6029
- imported package libpciaccess


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.12.0-1mdv2011.0
+ Revision: 556458
- new release

* Tue Dec 15 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.11.0-1mdv2010.1
+ Revision: 478907
- New version: 0.11.0

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 0.10.9-1mdv2010.0
+ Revision: 448835
- new release

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 0.10.8-1mdv2010.0
+ Revision: 422871
- new release

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.10.6-1mdv2010.0
+ Revision: 369178
- New version 0.10.6

* Sat Nov 01 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.5-1mdv2009.1
+ Revision: 299140
- New version: 0.10.5

* Mon Oct 20 2008 Thierry Vignaud <tv@mandriva.org> 0.10.4-1mdv2009.1
+ Revision: 295703
- new release

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.10.3-2mdv2009.0
+ Revision: 264884
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.3-1mdv2009.0
+ Revision: 217879
- New version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.2-1mdv2009.0
+ Revision: 211771
- New version

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 0.10-1mdv2009.0
+ Revision: 192983
- new release

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.
    - Maybe a version 0.10.0 will be made available soon, but for the moment
      just recompile. A build with it enable should be made available for testing
      as it requires rebuild or X Server and modules, and breaks compatibility
      of older modules.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 150768
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Thierry Vignaud <tv@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 72585
- new release

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.0-0.20070804.3mdv2008.0
+ Revision: 58978
- devel package requires lib package (i'll forget my own head next)

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.0-0.20070804.2mdv2008.0
+ Revision: 58966
- add a -devel provides

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.8.0-0.20070804.1mdv2008.0
+ Revision: 58948
- Import libpciaccess

